### Method

# GLib StaticPrivate free

#### Declaration

    void
    g_static_private_free (
      GStaticPrivate* private_key
    )

#### Description

Releases all resources allocated to `private_key`.

You don’t have to call this functions for a `GStaticPrivate` with an unbounded lifetime, i.e. objects declared ‘static’, but if you have a `GStaticPrivate` as a member of a structure and the structure is freed, you should also free the `GStaticPrivate`.

This method is not directly available to language bindings.